#!/bin/bash
set -e

NAME="eclipse-dltk"
TAG=R5_8_0
RELENG_TAG=0b73b3026acde7af9e8f5f0d1b8088368836fe00
CORE_TAG=a711f705ed77c9798d44ab0297e405a26b6e2345
RUBY_TAG=7ea69c46821ddfbf0d2bb0836e858493025a1e6b
SHELL_TAG=a1b354832899c2def942e529c98e76641970348a
TCL_TAG=cd35ad4e84b2c2c0d36ce7cbaa65958923659acd

rm -fr $NAME-$TAG
mkdir $NAME-$TAG
pushd $NAME-$TAG

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.releng.git/snapshot/org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
tar xfs org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
rm org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
mv org.eclipse.dltk.releng-$RELENG_TAG org.eclipse.dltk.releng

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.core.git/snapshot/org.eclipse.dltk.core-$CORE_TAG.tar.xz
tar xfs org.eclipse.dltk.core-$CORE_TAG.tar.xz
rm org.eclipse.dltk.core-$CORE_TAG.tar.xz
mv org.eclipse.dltk.core-$CORE_TAG org.eclipse.dltk.core

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.ruby.git/snapshot/org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
tar xfs org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
rm org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
mv org.eclipse.dltk.ruby-$RUBY_TAG org.eclipse.dltk.ruby

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.tcl.git/snapshot/org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
tar xfs org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
rm org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
mv org.eclipse.dltk.tcl-$TCL_TAG org.eclipse.dltk.tcl

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.sh.git/snapshot/org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
tar xfs org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
rm org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
mv org.eclipse.dltk.sh-$SHELL_TAG org.eclipse.dltk.sh

popd

#Remove any commited jars
find $NAME-$TAG -name *.jar -delete
find $NAME-$TAG -name *.class -delete

echo "Creating tarball '$NAME-$TAG.tar.xz'..."
tar -caf $NAME-$TAG.tar.xz $NAME-$TAG
